/**
 * @function nameImage
 */
"use strict";

const assert = require('assert'),
    stringcase = require('stringcase');

/** @lends nameImage */
function nameImage(pkg, keypath) {
    assert.ok(pkg, 'pkg is required.');

    let name = pkg.name,
        version = pkg.version;
    if (keypath) {
        name = [name, keypath].join('-');
    }
    return [
        stringcase.snakecase(name),
        version
    ].join(':');
}

module.exports = nameImage;

